edu.sc.seis.sod.subsetter.origin

## Class OriginPointBackAzimuth

- java.lang.Object
- - edu.sc.seis.sod.subsetter.DistanceRangeSubsetter
  - - edu.sc.seis.sod.subsetter.origin.AbstractOriginPoint
    - - edu.sc.seis.sod.subsetter.origin.OriginPointBackAzimuth

- All Implemented Interfaces:
    SodElement, OriginSubsetter, Subsetter

      public class OriginPointBackAzimuth
      extends AbstractOriginPoint
      implements OriginSubsetter

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.subsetter.origin.AbstractOriginPoint

      `latitude, longitude`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OriginPointBackAzimuth(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringTree` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.event.EventAttrImpl eventAttr, edu.iris.Fissures.event.OriginImpl origin)`

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.origin.AbstractOriginPoint

      `getLatitude, getLatLon, getLongitude`

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.DistanceRangeSubsetter

      `getMax, getMin, getUnitRange, processConfig`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OriginPointBackAzimuth

          public OriginPointBackAzimuth(org.w3c.dom.Element config)
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### accept

          public StringTree accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                   edu.iris.Fissures.event.EventAttrImpl eventAttr,
                                   edu.iris.Fissures.event.OriginImpl origin)

      Specified by:
        `accept` in interface `OriginSubsetter`